import com.engine.attendance.attendanceanalysis.service.impl.AskForLeaveServiceImpl;
import com.google.common.collect.Lists;
import com.google.common.collect.Maps;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class TestAskForLeaveByDurationTime {
    public static void main(String[] args) {
        Map<String,Object> params = Maps.newHashMap();
        params.put("tybcndbjlhbjs","1");
        params.put("qjsc","2.0");
        List<Map<String,Object>> abnormalClockInList = Lists.newArrayList();
        params.put("abnormalClockInList",abnormalClockInList);
        abnormalClockInList.add(new HashMap(){{
            put("item","7");
            put("itemduration","1");
            put("pointTime","2023-11-15 13:00");
        }});
        abnormalClockInList.add(new HashMap(){{
            put("item","11");
            put("itemduration","13.0");
            put("betweenMinutes","16");
            put("pointTime","2023-11-15 18:30");
        }});
        abnormalClockInList.add(new HashMap(){{
            put("item","102");
            put("itemduration","15.0");
            put("betweenMinutes","60");
            put("pointTime","2023-11-15 09:00");
        }});
        AskForLeaveServiceImpl askForLeaveService = new AskForLeaveServiceImpl();
        System.out.println(askForLeaveService.askForLeaveByDurationTime(params));
    }
}
